<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.qualifier.service.persistence.impl.CommerceQualifierEntryPersistenceImpl" activate="activate" deactivate="deactivate">
  <service>
    <provide interface="com.liferay.commerce.qualifier.service.persistence.CommerceQualifierEntryPersistence"/>
  </service>
  <reference name="Configuration" interface="com.liferay.portal.kernel.configuration.Configuration" target="(&amp;(origin.bundle.symbolic.name=com.liferay.commerce.qualifier.service)(name=service))" bind="setConfiguration"/>
  <reference name="DataSource" interface="javax.sql.DataSource" target="(origin.bundle.symbolic.name=com.liferay.commerce.qualifier.service)" bind="setDataSource"/>
  <reference name="SessionFactory" interface="com.liferay.portal.kernel.dao.orm.SessionFactory" target="(origin.bundle.symbolic.name=com.liferay.commerce.qualifier.service)" bind="setSessionFactory"/>
  <reference name="entityCache" interface="com.liferay.portal.kernel.dao.orm.EntityCache" field="entityCache"/>
  <reference name="finderCache" interface="com.liferay.portal.kernel.dao.orm.FinderCache" field="finderCache"/>
  <implementation class="com.liferay.commerce.qualifier.service.persistence.impl.CommerceQualifierEntryPersistenceImpl"/>
</scr:component>
